Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.actions
Class ChangeTypeAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.jdt.ui.actions.SelectionDispatchAction
              org.eclipse.jdt.ui.actions.ChangeTypeAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

public class ChangeTypeAction
extends SelectionDispatchAction

Action to generalize the type of a local or field declaration or the return type of a method declaration.

This class may be instantiated; it is not intended to be subclassed.

Since:
  3.0

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ChangeTypeAction(org.eclipse.jdt.internal.ui.javaeditor.CompilationUnitEditor editor)` Note: This constructor is for internal use only.
`ChangeTypeAction(IWorkbenchSite site)` Creates a new `ChangeTypeAction`.

Method Summary
`void` | `run(IStructuredSelection selection)` Executes this actions with the given structured selection.
`void` | `run(ITextSelection selection)` Executes this actions with the given text selection.
`void` | `selectionChanged(IStructuredSelection selection)` Notifies this action that the given structured selection has changed.
`void` | `selectionChanged(ITextSelection selection)` Notifies this action that the given text selection has changed.
`void` | `selectionChanged(org.eclipse.jdt.internal.ui.javaeditor.JavaTextSelection selection)` Note: This method is for internal use only.

Methods inherited from class org.eclipse.jdt.ui.actions.SelectionDispatchAction
`getSelection, getSelectionProvider, getShell, getSite, run, run, run, selectionChanged, selectionChanged, update`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeTypeAction

    public ChangeTypeAction(org.eclipse.jdt.internal.ui.javaeditor.CompilationUnitEditor editor)

  Note: This constructor is for internal use only. Clients should not call this constructor.

### ChangeTypeAction

    public ChangeTypeAction(IWorkbenchSite site)

  Creates a new `ChangeTypeAction`. The action requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `site` - the site providing context information for this action

Method Detail

### selectionChanged

    public void selectionChanged(IStructuredSelection selection)

  Description copied from class: `SelectionDispatchAction`
  Notifies this action that the given structured selection has changed. This default implementation calls `selectionChanged(ISelection selection)`.

  Overrides:
    `selectionChanged` in class `SelectionDispatchAction`
  Parameters:
    `selection` - the new selection

### run

    public void run(IStructuredSelection selection)

  Description copied from class: `SelectionDispatchAction`
  Executes this actions with the given structured selection. This default implementation calls `run(ISelection selection)`.

  Overrides:
    `run` in class `SelectionDispatchAction`

### selectionChanged

    public void selectionChanged(ITextSelection selection)

  Description copied from class: `SelectionDispatchAction`
  Notifies this action that the given text selection has changed. This default implementation calls `selectionChanged(ISelection selection)`.

  Overrides:
    `selectionChanged` in class `SelectionDispatchAction`
  Parameters:
    `selection` - the new selection

### selectionChanged

    public void selectionChanged(org.eclipse.jdt.internal.ui.javaeditor.JavaTextSelection selection)

  Note: This method is for internal use only. Clients should not call this method.

  Overrides:
    `selectionChanged` in class `SelectionDispatchAction`
  Parameters:
    `selection` - the java text selection

### run

    public void run(ITextSelection selection)

  Description copied from class: `SelectionDispatchAction`
  Executes this actions with the given text selection. This default implementation calls `run(ISelection selection)`.

  Overrides:
    `run` in class `SelectionDispatchAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.